# Yaf_Response_Abstract::clearBody

(Yaf >=1.0.0)

Yaf_Response_Abstract::clearBody — Discard all exists response body

### Beschreibung

public Yaf_Response_Abstract::clearBody(string `$key` = ?): bool

Clear existsed content

### Parameter-Liste

`key`

  the content key, if you don't specific, then all contents will be cleared.

  > Hinweis:

  > this parameter is introduced as of 2.2.0

### Rückgabewerte

### Siehe auch

- Yaf_Response_Abstract::setBody() - Set content to response
- Yaf_Response_Abstract::appendBody() - Append to response body
- Yaf_Response_Abstract::prependBody() - The prependBody purpose
- Yaf_Response_Abstract::getBody() - Retrieve a exists content

`↑` and `↓` to navigate • `Enter` to select • `Esc` to close • `/` to open